Package org.apache.felix.http.base.internal.dispatch

## Class RequestInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.dispatch.RequestInfo

    public final class RequestInfo
    extends Object

Information about the request

### Constructor Summary

Constructors
`RequestInfo​(String servletPath, String pathInfo, String queryString, String requestURI, String matchServletName, String matchPattern, String matchValue, MappingType mappingType, boolean nameMatch)` Create a new request info

### Method Summary

All Methods Instance Methods Concrete Methods
`MappingType` `getMappingType()`
`String` `getMatchValue()`
`String` `getPattern()`
`String` `getServletName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestInfo

    public RequestInfo​(String servletPath,
                       String pathInfo,
                       String queryString,
                       String requestURI,
                       String matchServletName,
                       String matchPattern,
                       String matchValue,
                       MappingType mappingType,
                       boolean nameMatch)

Create a new request info

Parameters:
  `servletPath` - The servlet path
  `pathInfo` - The path info
  `queryString` - The query string
  `requestURI` - The request uri
  `matchServletName` - The servlet name
  `matchPattern` - The servlet pattern
  `matchValue` - The value matching
  `mappingType` - The mapping type
  `nameMatch` - Is named dispatcher

### Method Detail

#### getMatchValue

    public String getMatchValue()

#### getPattern

    public String getPattern()

#### getServletName

    public String getServletName()

#### getMappingType

    public MappingType getMappingType()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`